<?php

if(isset($_SERVER['HTTP_HOST']))
{
	$base_url = (is_https() === true ? 'https' : 'http').'://'.$_SERVER['HTTP_HOST'].substr($_SERVER['SCRIPT_NAME'], 0, strpos($_SERVER['SCRIPT_NAME'], basename($_SERVER['SCRIPT_FILENAME'])));
}
else
{
	$base_url = 'http://localhost/';
}

define('HTTP',	$base_url);

$c	=	'installer';
$m	=	'step1';

if(isset($_GET['c']) === true)
{
	$c	=	filter_var($_GET['c'], FILTER_SANITIZE_STRING);
}

if(isset($_GET['m']) === true)
{
	$m	=	filter_var($_GET['m'], FILTER_SANITIZE_STRING);
}


require_once 'installer.php';

$installer	=	new installer();

if(method_exists($installer, $m) === true)
{
	$installer->$m();
}
else
{
	throw new Exception('Error: methode '.$m.' not available');
}


/**
 * Kontrolliert ob der Webserver HTTPS erlaubt
 *
 * @return bool Gibt bei verfügbaren Zertifikat true zurück ansonsten false
 */
function is_https()
{
	if((empty($_SERVER['HTTPS']) === false && strtolower($_SERVER['HTTPS']) !== 'off') || (isset($_SERVER['HTTP_X_FORWARDED_PROTO']) === true && $_SERVER['HTTP_X_FORWARDED_PROTO'] === 'https') || (empty($_SERVER['HTTP_FRONT_END_HTTPS']) === false && strtolower($_SERVER['HTTP_FRONT_END_HTTPS']) !== 'off'))
	{
		return true;
	}

	return false;
}