<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	<title>webpackages Installer - Wilkommen</title>

	<!-- Latest compiled and minified CSS -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css"
		  integrity="sha384-1q8mTJOASx8j1Au+a5WDVnPi2lkFfwwEAa8hDDdjZlpLegxhjVME1fgjWPGmkzs7" crossorigin="anonymous">

	<!-- Optional theme -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap-theme.min.css"
		  integrity="sha384-fLW2N01lMqjakBkx3l/M9EahuwpSfeNvV63J5ezn3uZzapT0u7EYsXMjQV+0En5r" crossorigin="anonymous">

	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
	<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
	<style>
		.bg{
			background-color: #f8f8f8;
			border: 1px solid #f0f0f0;
			border-radius: 5px;
			-moz-border-radius: 5px;
			-webkit-border-radius: 5px;
			margin-top: 20px;
			padding: 10px;
			margin-bottom: 20px;
		}

		*{
			font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
			color: #666666;
		}

		html,body{
			background-color: #fefefe;;
		}
	</style>
</head>
<body>

	<div class="container">
		<div class="row bg">
			<div class="col-md-12 text-center">
				<a href="http://www.webpackages.de" target="_blank"><img src="http://webpackages.de/package/views/kit/img/logo.svg" style="max-width: 200px;"></a>
			</div>

			<div class="col-md-1">&nbsp;</div>
			<div class="col-md-10">
				<h2>Willkommen beim webpackages Installer</h2>
				<p>Vielen Danke das Sie das webpackages Framework für Ihr zukünftiges Webprojekt nutzen wollen. Mithilfe des webpackages Installers, wird das Einrichten Ihres webpackages Frameworks schnell und einfach Funktionieren.</p>
				<p>Sollten Sie Fragen zu den Hilfsklassen des Frameworks haben, schauen Sie einfach bei unserer <a href="http://webpackages.de/documentation.html" target="_blank">Dokumentation</a> vorbei, diese beinhaltet alle Hilfsklassen und erklärt Sie detail genau.</p>
				<h3>Installation</h3>
				<p>Was passiert nun bei der Installation? Im Prinzip arbeitet der Installer 3 Schritte ab, um sicher zu gehen das alle Individualitäten abgedeckt sind und so eine Reibungslose Installation stattfinden kann. Diese 3 Schritte sehen wie folgt aus:</p>
				<ol>
					<li>Validieren des Servers</li>
					<li>Einrichten des webpackages Frameworks</li>
					<li>Erste Schritte</li>
				</ol>

				<h3>Auf die Plätze fertig los ...</h3>
				<p>Nun wollen wir Sie nicht mehr länger aufhalten und wünschen Ihnen viel Spaß bei der Nutzung des webpackages Frameworks.</p>
			</div>
			<div class="col-md-1">&nbsp;</div>

			<div class="col-md-12 text-right">
				<a href="<?php echo HTTP; ?>index.php?c=installer&m=step2" class="btn btn-success">Zur Installation</a>
			</div>
		</div>
	</div>




<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<!-- Latest compiled and minified JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"
		integrity="sha384-0mSbJDEHialfmuBBQP6A4Qrprq5OVfW37PRR3j5ELqxss1yVqOtnepnHVP9aJ7xS"
		crossorigin="anonymous"></script>
</body>
</html>